Subject: bug#50139: 27.2; An issue with outline-move-subtree-down

From: Stephen Berman <[email-masked]>
Date: Sat, 21 Aug 2021 15:19:46 +0200

On Sat, 21 Aug 2021 14:59:59 +0200 Lars Ingebrigtsen <[email-masked]> wrote:

> Alex <[email-masked]> writes:
>
>> Consider a buffer in outline-mode having the following text (it is important
>> that the buffer ends in a newline):
>> * first heading
>> the body of the first heading
>> * second heading
>> the body of the second heading
>>
>> Now position point on the second heading and invoke M-x
>> outline-hide-subtree, after which go to the first heading and invoke M-x
>> outline-move-subtree-down. On my computer, this resulted in the first heading
>> appearing to be on the same visual line as the second.
>
> I'm unable to reproduce this in Emacs 27.2.  After following this
> recipe, I get a buffer that looks like:
[...]
> Which seems correct to me.
>
> Is this a complete recipe for reproducing the bug, starting from "emacs -Q"?

Your image looks like you hid the subtree of the first heading, not the
second as in the recipe.  Following the recipe exactly, I can reproduce
the problem in Emacs 27 and 28.

Steve Berman